Subject: Re: [bug#27434] [PATCH] gnu: Add mkvtoolnix.

From: Leo Famulari <[email-masked]>
Date: Fri, 30 Jun 2017 12:45:46 -0400

On Sun, Jun 25, 2017 at 05:43:31PM +0200, Gregor Giesen wrote:
> Dear Leo,
> 
> I had another look at those libraries:
> 
> On Sun, Jun 25, 2017 at 09:44:01AM -0400, Leo Famulari wrote:
> > I noticed it includes some files in 'lib/', and at least some of them
> > appear to be bundled copies of 3rd-party libraries:
> >
> > drwxr-xr-x 1 leo leo 194 May 20 13:25 libebml       -> libebml
> > drwxr-xr-x 1 leo leo 236 May 20 13:25 libmatroska   -> libmatroska
> > drwxr-xr-x 1 leo leo  70 May 20 13:25 nlohmann-json -> nlohmann-json-cpp
> > drwxr-xr-x 1 leo leo  26 May 20 13:25 pugixml       -> pugixml
> > drwxr-xr-x 1 leo leo  18 May 20 13:25 utf8-cpp      -> utfcpp
> those can be removed, they are already included in ‘inputs’ and the 
> configure script favours the system (guix) lib over them.
> 
> The remaining three libraries are referenced directly from the source
> code. Here are comments from README.md:
> 
> > drwxr-xr-x 1 leo leo  66 May 20 13:25 boost
> --8<---------------cut here---------------start------------->8---
> A class, `utf8_codecvt_facet`, derived from `std::codecvt<wchar_t, char>`,
> which can be used to convert utf8 data in files into `wchar_t` strings
> in the application.
> 
>   * License: Boost Software License - Version 1.0 (see `doc/licenses/Boost-1.0.txt`)
>   * URL: http://www.boost.org
> --8<---------------cut here----------------end-------------->8---
> 
> The other two are some ancient and orphaned libraries for deprecated
> video formats, however GPLv2/LGPLv2.1:
> 
> > drwxr-xr-x 1 leo leo 116 May 20 13:25 avilib-0.6.10
> --8<---------------cut here---------------start------------->8---
> Reading and writing avi files.
> 
> Copyright (C) 1999 Rainer Johanni <[email-masked]>, originally part
> of the transcode package.
> 
>   * License: GNU General Public License v2
>   * URL: http://www.transcoding.org/
> 
> > drwxr-xr-x 1 leo leo 120 May 20 13:25 librmff
> librmff is short for 'RealMedia file format access library'. It aims
> at providing the programmer an easy way to read and write RealMedia
> files.
> 
>   * License: GNU Lesser General Public License v2.1 (see `doc/licenses/LGPL-2.1.txt`)
>   * URL: https://www.bunkus.org/videotools/librmff/index.html
> --8<---------------cut here----------------end-------------->8---
> 
> Is it ok to just include them and adding those two licenses the package?

Thank you very much for investigating, and I'm sorry my response was
rather slow! I just pushed revisions of your patches, based on our
discussion, as 2973ebf504f4d958a8db40b09b210b237060fc92.